> ## Documentation Index
> Fetch the complete documentation index at: https://docs.winedirectfulfillment.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Gets a single order based on the order number.

> Use the GET /Orders/Detail endpoint for a full detailed order



## OpenAPI

````yaml /openapi.json get /api/v1/Orders/{orderNumber}
openapi: 3.0.4
info:
  title: WineDirect Fulfillment API Gateway UAT
  description: >-
    <i>Provides access to the Fulfillment system.</i><h2><a target="_blank"
    href='https://portal.wd-fs.com/administration/api-help'>Detailed
    Documentation</a></h2><h3>From your code:</h3><p> To use any of the
    endpoints, get the <b>Bearer Token</b> from the <b>AccessToken</b> endpoint,
    then pass that as a <b>HttpHeader</b> called <b>Authorization</b> like this
    on all calls.<br><pre>(C#)   request.AddParameter("Authorization", token, 
    ParameterType.HttpHeader);</pre><h3>From a browser:</h3><p>Press the
    <b>Authorize</b> button and enter the <b>Bearer Token</b> from the
    <b>AccessToken</b> endpoint.</p>
  version: '1.0'
servers: []
security:
  - Bearer: []
paths:
  /api/v1/Orders/{orderNumber}:
    get:
      tags:
        - Orders
      summary: Gets a single order based on the order number.
      description: Use the GET /Orders/Detail endpoint for a full detailed order
      parameters:
        - name: orderNumber
          in: path
          description: Either Order Number or WineDirect Order Number
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrderServiceResult'
components:
  schemas:
    OrderServiceResult:
      type: object
      properties:
        isSuccess:
          type: boolean
          description: >-
            Was the request successful. If not, the message will have more
            information.
        message:
          type: string
          description: Any error message
          nullable: true
        payload:
          $ref: '#/components/schemas/Order'
      additionalProperties: false
      description: Generic container for all service responses
    Order:
      required:
        - accountNumber
        - supplierName
      type: object
      properties:
        accountNumber:
          minLength: 1
          type: string
          description: AccountNumber is the unique Customer ID in the WineDirect system.
        supplierName:
          minLength: 1
          type: string
          description: SupplierName is the unique name for the owner of items in the system
        warehouseName:
          type: string
          description: The warehouse (Name)
          nullable: true
        warehouseCode:
          type: string
          description: "The warehouse (Code)\r\n            \r\n\"GLW\" - Glenwillow,\r\n\"WDI\" - Green Island,\r\n\"PSO\" - Paso Robles,\r\n\"SMA\" - Santa Maria,\r\n\"SHW\" - Willamette Valley\r\n\"DAL\" - Dallas"
          nullable: true
          readOnly: true
        wineDirectOrderNumber:
          type: string
          description: The order number of WineDirect
          nullable: true
        orderNumber:
          type: string
          description: The order number of the customer
          nullable: true
        orderTypeName:
          type: string
          description: The Type of Order (Name)
          nullable: true
        orderTypeCode:
          type: string
          description: "The Type of Order (code)\r\n            \r\n    \"CLUB\" - Club Order\r\n    \"STND\" - Daily Order\r\n    \"SPCL\" - Special Order\r\n    \"VC\"   - Visitor Center\r\n    \"DAILY\" - Daily Order\r\n    \"SPECIAL\" - Special Order\r\n    \"CORP\" - Corp Order"
          nullable: true
        batchNumber:
          type: string
          description: The batch number containing this order
          nullable: true
        orderedDate:
          type: string
          description: The date ordered
          format: date-time
          nullable: true
        requestedDate:
          type: string
          description: The date requested
          format: date-time
          nullable: true
        shipmentCount:
          type: integer
          description: How many shipments to fulfill this order
          format: int32
        returnCount:
          type: integer
          description: How many were returned
          format: int32
        holdCount:
          type: integer
          description: How many holds
          format: int32
        firstShippedDate:
          type: string
          description: The date the first shipment went out
          format: date-time
          nullable: true
        lastShippedDate:
          type: string
          description: The date the last shipment went out
          format: date-time
          nullable: true
        statusCode:
          type: string
          description: "The status of the order (Code)\r\n            \r\n    'DELIVERED' - \"The package has been delivered to the intended recipient.\"\r\n    'EXCEPTION' - \"The last recorded activity for the package is a delivery exception.\r\n    'IN_TRANSIT'- \"The package is in transit within the carrier network.\"\r\n    'RETURNED'  - \"The package has been returned to the fulfillment center.\"\r\n    'SHIPPED'   - \"The package has been shipped from the fulfillment center, but is not yet tracking in the carrier network.\""
          nullable: true
        statusName:
          type: string
          description: The status of the order (Name)
          nullable: true
        firstHoldName:
          type: string
          description: If there were holds, what was the first name
          nullable: true
        carrierName:
          type: string
          description: The name of the carrier
          nullable: true
        notificationEmail:
          type: string
          description: The notification email
          nullable: true
        shipToFirstName:
          type: string
          description: 'Ship To: First Name'
          nullable: true
        shipToLastName:
          type: string
          description: 'Ship To: Last Name'
          nullable: true
        shipToCity:
          type: string
          description: 'Ship To: City'
          nullable: true
        shipToStateCode:
          type: string
          description: 'Ship To: State (Code)'
          nullable: true
        shipToPostalCode:
          type: string
          description: 'Ship To: Postal/Zip (Code)'
          nullable: true
        shipToCompanyName:
          type: string
          description: 'Ship To: Company, if applicable'
          nullable: true
        packagingTypeCode:
          type: string
          description: "The Packaging Type (Code)\r\n            \r\n     eg COOLPACK"
          nullable: true
        packagingTypeName:
          type: string
          description: "The Packaging Type (Name)\r\n            \r\n     eg COOLPACK"
          nullable: true
      additionalProperties: false
      description: Header information about an order often used in grids and lists.
  securitySchemes:
    Bearer:
      type: apiKey
      description: 'Enter the Bearer AccessToken;  Example: ''Bearer 12345abcdef'''
      name: Authorization
      in: header

````